Subject: [DNSOP] draft-yao-dnsop-idntld-implementation-00 and DNAME

From: Alfred Hönes <[email-masked]>
Date: Fri, 16 Oct 2009 15:53:27 +0200 (MESZ)

Authors:

I fear that Sections 3 ff. of draft-yao-dnsop-idntld-implementation-00
have entirely missed the evolution of the dnesext-rfc2672-dname draft.

The "Understand DNAME" bit, and hence the dependence on EDNS has been
removed in June, and it has been reinforced that support for DNAME
does not require support for EDNS0 (although recent empirical data
have shown that ENDS0 support is almost pervasive for authoritative
servers and recursive resolvers in these days, and, as you know,
IPv6 makes EDNS0 effectively mandatory, and DNSSEC does the same).

This clarification of RFC 2672 has the support of major implementors
and implementations.

I suppose that this evolution has made moot much of the discussion
in your draft.  So please could you revise it based on the current
understanding of DNAME ?

Namedroppers:

What's the state of draft-ietf-dnsext-rfc2672bis-dname ?
IIRC, there was no substantial discussion on the list since -17
has been posted in September.
Are the chairs now working on bringing that draft to the IESG?

DNSOP folks:

Are there sound empirical data on DNAME support at large?

Reportedly, DNAME already is in heavy use in ENUM deployments.
I've never heard complaints from ENUM folks about issues with
DNAME -- or did I miss smething?

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: "YAO Jiankang" <[email-masked]>
Date: Wed, 21 Oct 2009 13:57:03 +0800

----- Original Message ----- 
From: "Alfred H蝞es" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Friday, October 16, 2009 9:53 PM
Subject: [DNSOP] draft-yao-dnsop-idntld-implementation-00 and DNAME

> in your draft.  So please could you revise it based on the current

ok, I will do some updatings.

> DNAME -- or did I miss smething?

enum is not widely deployed. as far as I know, there are few enum users in the world.

>  Alfred H蝞es.
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>